Summary
Creates a new template document.
Description
Creates a new template document.
Route
POST /automation-studio/templates
Roles
admin
apiwrite
designer
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| template |
object |
yes |
Template entity to create. |
Copied to Clipboard
{
"template": {
"name": "test",
"group": "Sample group",
"command": "show ip br",
"description": "description",
"template": "Value FIRST_WORD (S+)\n\nStart\n ^FIRST_WORD.* -> Record",
"data": "some sample text to match against",
"type": "test",
"_id": "f1c949CADEF5b18aea3826ab",
"createdBy": "BF4fe6d3b94ce8EECbfe8077",
"created": "2019-11-25T22:51:39.201Z",
"lastUpdatedBy": "cE859B3e890fdEF3A6485717",
"lastUpdated": "2019-11-25T22:51:39.201Z",
"version": 1,
"tags": [
{
"_id": "D2a1CB7FE6aD2bfab75AB4B4",
"name": "sit ut labore"
},
{
"_id": "0fA7aFd53A6D26e67d1e5Dc6",
"name": "Excepteur sint"
},
{
"_id": "7FfDdD7bdb11ef61eDBF7ADD",
"name": "in et"
},
{
"_id": "6a2Fd1CF8fA4a9B5cEEE1748",
"name": "nulla esse exercitation tempor"
},
{
"_id": "E9AF39eaE4d8C88eFDbc9996",
"name": "ut"
}
]
}
}
Copied to Clipboard
{
"type": "object",
"properties": {
"template": {
"title": "template",
"$ref": "template"
}
},
"required": [
"template"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| response |
object |
Created template and associated edit URI. |
Copied to Clipboard
{
"created": {
"name": "test",
"group": "Sample group",
"command": "show ip br",
"description": "description",
"template": "Value FIRST_WORD (S+)\n\nStart\n ^FIRST_WORD.* -> Record",
"data": "some sample text to match against",
"type": "test",
"_id": "3cfF5fdA53FC0E1dAc1E1afC",
"createdBy": "aE8894735aCDeE7FF540c10C",
"created": "2019-11-25T22:51:39.201Z",
"lastUpdatedBy": "025eBB7d5b400c1e2B7e84ce",
"lastUpdated": "2019-11-25T22:51:39.201Z",
"version": 1,
"tags": [
{
"_id": "eC9ebbBD0a26CDbF7fDf2afC",
"name": "occaecat culpa veniam qui"
},
{
"_id": "EC849d3AAE3107dD28bDE30f",
"name": "ex culpa"
},
{
"_id": "49A6C7dE420BCa6c7f1eeAE5",
"name": "reprehenderit consectetur qui aliquip"
}
]
},
"edit": "reprehenderit"
}
Copied to Clipboard
{
"title": "response",
"type": "object",
"description": "Created template and associated edit URI.",
"properties": {
"created": {
"$ref": "template"
},
"edit": {
"type": "string",
"description": "URI to the edit page for the newly created template."
}
},
"required": [
"created",
"edit"
]
}